Summary: Tools for creating and maintaining software RAID devices.
Name: raidtools
Version: 0.90
Release: 9mdk
Copyright: GPL
Group: System/Kernel and hardware
Source: ftp://ftp.kernel.org/pub/linux/daemons/raid/alpha/raidtools-19990824-0.90.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: md, md-tools
Conflicts: kernel < 2.2
Requires: dev >= 3.0.2-4mdk

%description
This package includes the tools you need to set up and maintain a software RAID
device under Linux. It only works with Linux 2.2 kernels and later, or 2.0
kernel specifically patched with newer raid support.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
make

%install
make ROOTDIR=$RPM_BUILD_ROOT MAN=%{_mandir} install_bin install_doc

# (fg) 20000828 These devices are now in dev
#
#for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
#  mknod -m 0600 $RPM_BUILD_ROOT/dev/md$i b 9 $i
#done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/*/*
%doc COPYING README *.sample
%doc Software-RAID.HOWTO/Software-RAID.HOWTO.txt

%changelog

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.90-9mdk

- BMacros
- little spec file changes


* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.90-8mdk

- Changed group to match 7.1 specs
- Some spec file changes

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 19990803.

* Thu Sep 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix Conflicts: (rpm's being an ass, i commented it out)

* Thu Sep 09 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 19990824

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 06 1999 Cristian Gafton <gafton@redhat.com>
- updated sources from mingo

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Feb 08 1999 Erik Troan <ewt@redhat.com>
- updated to 0.90 19980128

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- backrev'd to 0.50beta10 (which works with old md)
- patched to actually work with old level md support

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- put some real Summary and description fields
- obsoletes the md and md-tools package that are floating around on the net

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- tweak description/summary for uniqueness.

* Wed Sep 16 1998 Jeff Johnson <jbj@redhat.com>
- repackage for RH 5.2.
